{
  "name": "ci-demo",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "tsc && vite build",
    "preview": "vite preview",
    "test": "vitest",
    "coverage": "vitest run --coverage",
    "lint": "eslint --max-warnings=0 --ext js,ts,tsx src",
    "prettier": "prettier --write .",
    "prettier:check": "prettier --check src/**/*.{js,ts,jsx,tsx}"
  },
  "dependencies": {
    "react": "^18.2.0",
    "react-dom": "^18.2.0"
  },
  "devDependencies": {
    "@types/react": "^18.0.26",
    "@types/react-dom": "^18.0.9",
    "@typescript-eslint/eslint-plugin": "^5.47.1",
    "@typescript-eslint/parser": "^5.47.1",
    "@vitejs/plugin-react-swc": "^3.0.0",
    "@vitest/coverage-c8": "^0.26.2",
    "eslint": "^8.30.0",
    "eslint-config-prettier": "^8.5.0",
    "eslint-plugin-import": "^2.26.0",
    "eslint-plugin-jsx-a11y": "^6.6.1",
    "eslint-plugin-react": "^7.31.11",
    "prettier": "^2.8.1",
    "typescript": "^4.9.3",
    "vite": "^4.0.0",
    "vitest": "^0.26.2"
  }
}
